import getopt
import sys

CONTROL_VOID = 0
CONTROL_PLAY = 1
CONTROL_STOP = 2
CONTROL_PAUSE = 3
CONTROL_NEXT = 4
CONTROL_PREVIOUS = 5

class CommandLine:
    def __init__ (self, argv):
        self.replace = False
        self.uris = []
        self.control = CONTROL_VOID

        try:
            opts, args = getopt.getopt (argv[1:], "hpsaen:", ["help", 
                                                              "play",
                                                              "stop",
                                                              "pause",
                                                              "previous",
                                                              "next",
                                                              "replace"])
        except getopt.GetoptError, err:
            self.usage ()
            sys.exit (1)

        for opt, arg in opts:
            if opt in ("-h", "--help"):
                self.usage ()
                sys.exit ()
            elif opt in ("-p", "--play"):
                self.control = CONTROL_PLAY
            elif opt in ("-s", "--stop"):
                self.control = CONTROL_STOP
            elif opt in ("-a", "--pause"):
                self.control = CONTROL_PAUSE
            elif opt in ("-e", "--previous"):
                self.control = CONTROL_PREVIOUS
            elif opt in ("-n", "--next"):
                self.control = CONTROL_NEXT
            elif opt == "--replace":
                self.replace = True

        self.uris = args


    def usage (self):
        print "Usage: kilikaling [--replace] [-p|--play,-s|--stop,-a|--pause,-e|--previous,-n|--next] [URI LIST]"
    def getReplace (self):
        return self.replace
    def getUriList (self):
        return self.uris
    def getPlay (self):
        if self.control == CONTROL_PLAY:
            return True
        return False
    def getStop (self):
        if self.control == CONTROL_STOP:
            return True
        return False
    def getPause (self):
        if self.control == CONTROL_PAUSE:
            return True
        return False
    def getNext (self):
        if self.control == CONTROL_NEXT:
            return True
        return False
    def getPrevious (self):
        if self.control == CONTROL_PREVIOUS:
            return True
        return False
